# Root logger option
## log4j.rootLogger=DEBUG, WARN, INFO, stdout, R
log4j.rootLogger=ERROR, stdout, R

# Redirect log messages to console
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.Target=stdout.log
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%-4r [%t] %-5p %c %x - %m%n

# Redirect log messages to a log file, support file rolling.
log4j.appender.R=org.apache.log4j.RollingFileAppender
log4j.appender.R.File=rolling.log
log4j.appender.R.MaxFileSize=5MB
log4j.appender.R.MaxBackupIndex=10
log4j.appender.R.layout=org.apache.log4j.PatternLayout
log4j.appender.R.layout.ConversionPattern=[%-5p] %-d{yyyy-MM-dd HH:mm:ss.SSS} %c%l%n%m%n